Skip to main content
Platform Operations/Platforms

GetRegion

Get one Region by UUID with computed statistics for detail views.

GET/api/v1/regions/{uuid}

Operation ID

GetRegion

Since

1.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    UUID of the Region to fetch

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • uuid
    String

    Unique identifier of the Region

    Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

  • name
    String

    User-defined unique name for this Region

    Example: beijing-dc1

  • displayName
    String

    Human-readable display name

    Example: Beijing DC-1

  • description
    String

    Free-form description

    Example: Primary datacenter in Beijing

  • status
    String

    Current status (Active, Disabled)

    Example: Active

  • createDate
    String

    Timestamp when this Region was created

    Example: 2026-01-15T08:00:00Z

  • lastOpDate
    String

    Timestamp of last update

    Example: 2026-01-15T08:00:00Z

  • stats
    Object

    Computed resource statistics for this Region

    • cloudCount
      Integer

      Number of Cloud connections (0 or 1)

      Example: 1

    • connectionCount
      Integer

      Total connections in this Region

      Example: 3

    • zoneCount
      Integer

      Number of zones

      Example: 2

    • clusterCount
      Integer

      Number of clusters

      Example: 4

    • hostCount
      Integer

      Number of hosts

      Example: 10

    • vmCount
      Integer

      Number of VMs

      Example: 50

    • k8sClusterCount
      Integer

      Number of K8s clusters

      Example: 2

    • storageClusterCount
      Integer

      Number of storage clusters

      Example: 1